File: README.Debian

package info (click to toggle)
libepoxy 1.3.1-2
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 9,560 kB
  • ctags: 26,044
  • sloc: ansic: 80,359; xml: 50,881; sh: 11,416; python: 578; makefile: 288
file content (16 lines) | stat: -rw-r--r-- 802 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
libepoxy for Debian
-------------------

An interesting note about libepoxy is that it dynamically opens the
libGL, libEGL, libGLESv2, and libGLESv1 libraries as needed by the
application using libepoxy.  As a result, applications using libepoxy
likely won't have any direct dependencies on a GL implementation in
their linker command lines (because they're just using epoxy), nor
will libepoxy have GL dependencies its linker command line (because it
can be used with any subset of the libraries in question and doesn't
want to force you to install everything).  Thus, if you are packaging
something linking against libepoxy, you should check what APIs it is
trying to use and ensure that you have a runtime dependency against
them.

 -- Eric Anholt <eric@anholt.net>  Fri, 31 Jan 2014 16:52:20 -0800